Đến nội dung


Hình ảnh
- - - - -

Nhờ viết lisp copy text


  • Please log in to reply
6 replies to this topic

#1 viendinhngoc

viendinhngoc

    biết vẽ ellipse

  • Members
  • PipPip
  • 55 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 17 April 2014 - 03:37 PM

giả sử m đang có text A và text B

m muốn copy nội dung text A vào text B, kiêu như chọn A rồi kích và B C D E là giá trị trong text là A hết ấy nhé

thank bạn

A

B C D E

sau tich 

A

A A A A 


  • 0

#2 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 17 April 2014 - 04:12 PM

Có phải như vầy không?

 

(defun C:test(/ tn)
  (setq tn (cdr (assoc 1 (entget (car (entsel "\nChon text nguon:"))))))
  (princ "\nChon text dich de copy...")
  (mapcar '(lambda(x) (entmod (subst (cons 1 tn) (assoc 1 (entget x)) (entget x)))) (acet-ss-to-list (ssget '((0 . "TEXT")))))  
)


  • 0

#3 viendinhngoc

viendinhngoc

    biết vẽ ellipse

  • Members
  • PipPip
  • 55 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 17 April 2014 - 05:11 PM

Perfect :D

thank bạn nhá

nhưng mà có thể khi kích vào đối tượng nào  nó thay đổi luôn nội dung   của text đó luôn không đợi đến khi ấn space không bạn

thank


  • 0

#4 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 17 April 2014 - 08:20 PM

Bạn thích ngồi kích từng cái hơn là quơ nguyên chùm sao?


  • 0

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 17 April 2014 - 09:47 PM

Pick : http://www.cadviet.c...ak/#entry168681

Quét : như trên hoặc 

http://www.cadviet.c...-sang-text-kia/

 

hoặc có rất nhiều lisp tương tự trên diễn đàn.

Vẫn chưa hiểu tại sao bạn không thử search chữ Copy text trước khi yêu cầu


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 viendinhngoc

viendinhngoc

    biết vẽ ellipse

  • Members
  • PipPip
  • 55 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 17 April 2014 - 11:42 PM

không ý mình là quê nguyên chùm cũng được nhưng mà chạm vào cái nào là nó thay đổi nội dung luôn ấy 


  • 0

#7 Tot77

Tot77

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 990 Bài viết
Điểm đánh giá: 498 (tốt)

Đã gửi 18 April 2014 - 09:42 AM

Vậy thì là cái này, quơ giống như crossing, enter để dứt lệnh. Hàm rc tôi lấy trên mạng.

 

(defun rc (/ p1 p2 p3 p4 a g om)
(setq om (getvar "OSMODE"))(setvar "OSMODE" 0)
(setq p1 (getpoint "\nSelect objects by crossing..."))
 
(princ "\nOther corner...")
(while (not a)
(setq g (grread T) p3 (cadr g))
(cond ((= (car g) 3)
(setq a T)
(redraw)
)
((= (car g) 5)
(setq p2 (list (car p1)(cadr p3)))
(setq p4 (list (car p3)(cadr p1)))
(redraw)(grvecs (list -256 p1 p2 p2 p3 p3 p4 p4 p1))
)
)
)
(setvar "OSMODE" om)
(acet-ss-to-list (ssget "CP" (list p1 p2 p3 p4) '((0 . "TEXT"))))
)
 
(defun C:test(/ tn)
  (setq tn (cdr (assoc 1 (entget (car (entsel "\nChon text nguon:"))))))
  (princ "\nChon text dich de copy...")
  (vl-catch-all-error-p (vl-catch-all-apply '(lambda() 
    (while (setq tm (rc)) (mapcar '(lambda(x) (entmod (subst (cons 1 tn) (assoc 1 (entget x)) (entget x))))  tm)) ))) 
)


  • 0